Bug 58909 - gcc 3.1-0.18 shows no error for illegal command line parameters
gcc 3.1-0.18 shows no error for illegal command line parameters
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc3 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-27 13:44 EST by Peter Klotz
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-28 06:23:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Klotz 2002-01-27 13:44:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
When gcc 3.1-0.18 is invoked with an illegal command line parameter (e.g. -
Wabcde) it shows now error message.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.g++ -W -Wall -Wabcde some_program.cpp
2.
3.
	

Actual Results:  Shows no error message

Expected Results:  Should display something like (taken from gcc 2.95.3)

cc1plus.exe: Invalid option `-Wabcde'

Additional info:
Comment 1 Jakub Jelinek 2002-01-28 06:22:55 EST
See http://gcc.gnu.org/ml/gcc-patches/2002-01/msg01970.html
Comment 2 Jakub Jelinek 2002-02-01 11:20:35 EST
Fixed in gcc-3.1-0.19.

Note You need to log in before you can comment on or make changes to this bug.